=== debian/changelog ===
libx86 (1.1-0) hardy; urgency=low

  * Add makefile fixes from Till Maas
	
 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 19 May 2008 10:29:55 +0100

libx86 (1.0-0) hardy; urgency=low

  * Add PROT_EXEC to the mmap of the ROM

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 16 May 2008 18:06:04 +0100

libx86 (0.99-1.2ubuntu4) hardy; urgency=low

  * thunk.c: clean up duplicate DEBUG define to fix powerpc FTBFS.

 -- Kees Cook <kees@ubuntu.com>  Wed, 02 Apr 2008 17:47:21 -0700

libx86 (0.99-1.2ubuntu3) hardy; urgency=low

  * Add xorg upstream fixes for cpuid, rdtsc, bsr, bsf opcodes, from upstream
    http://gitweb.freedesktop.org/?p=xorg/xserver.git (LP: #147623).
    - 66fa87292ef26bd0f464481287f3af992cd5741c
    - c4b7e9d1c16797c3e4b1200b40aceab5696a7fb8
    - 2fe74ef339c3a4902ae8214f5a0454662895422c
    - 66f8001b61d12eaf4905ac71ccbb3f304914d00d

 -- Kees Cook <kees@ubuntu.com>  Fri, 21 Mar 2008 19:12:37 -0700

libx86 (0.99-1.2ubuntu2) gutsy; urgency=low

  * Handle reading addresses that are outside the process range with the 
    x86emu backend - vm86 support is rather more complicated, so not 
    implemented yet.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 24 Sep 2007 01:15:59 +0100

libx86 (0.99-1.2ubuntu1) gutsy; urgency=low

  * Build package for lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Aug 2007 19:28:11 +0000

libx86 (0.99-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Move libx86.so.1 to /lib
    (https://launchpad.net/ubuntu/+source/libx86/+bug/83920).

 -- Colin Watson <cjwatson@debian.org>  Thu,  8 Feb 2007 09:08:05 +0000

libx86 (0.99-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer consent.
  * debian/rules, Makefile: Fix some misuses of make that prevented x86emu
    from being used on amd64 systems.

 -- Colin Watson <cjwatson@debian.org>  Tue,  6 Feb 2007 16:01:55 +0000

libx86 (0.99-1) unstable; urgency=low

  * Initial release

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 29 Oct 2006 18:43:31 +0000
